> ## Documentation Index
> Fetch the complete documentation index at: https://developer.jtl-software.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Upload Files

> Supported image formats are: GIF, JPEG, PNG, SVG
Supported document formats are: PDF, Plain text




## OpenAPI

````yaml /openapi/scx/seller.json post /v1/seller/offer/file
openapi: 3.0.2
info:
  title: SCX Seller API
  version: '1.0'
  x-logo:
    url: https://scx-sandbox.ui.jtl-software.com/docs/scx.png
  description: |
    SCX Seller API
servers:
  - url: https://scx-sbx.api.jtl-software.com
    description: Sandbox Environment
security: []
tags:
  - name: Account
    description: Seller account management
  - name: Offer
    description: Seller offer management
  - name: Events
    description: Channel and system events for the seller
  - name: Meta
    description: Channel meta information (categories, attributes, rules)
  - name: Order
    description: Order processing, payments, shipping, cancellations and refunds
  - name: Report
    description: Seller report generation and retrieval
  - name: Ticket
    description: Channel ticket management
paths:
  /v1/seller/offer/file:
    post:
      tags:
        - Offer
      summary: Upload Files
      description: |
        Supported image formats are: GIF, JPEG, PNG, SVG
        Supported document formats are: PDF, Plain text
      operationId: UploadOfferFiles
      requestBody:
        $ref: '#/components/requestBodies/FileUploadRequest'
      responses:
        '200':
          $ref: '#/components/responses/FileUpload'
        '400':
          $ref: '#/components/responses/BadRequest'
        '401':
          $ref: '#/components/responses/AccessForbidden'
        '429':
          $ref: '#/components/responses/RequestThrottled'
        '500':
          $ref: '#/components/responses/ServerError'
      security:
        - SellerAuth: []
      x-codeSamples:
        - lang: PHP
          source: echo "FOO";
components:
  requestBodies:
    FileUploadRequest:
      description: Generic binary file upload (image or document) for a product offer.
      content:
        application/*:
          schema:
            type: string
            format: binary
  responses:
    FileUpload:
      description: File received
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/FileUploadResponse'
    BadRequest:
      description: Bad Request
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorResponseList'
          example:
            errorList:
              - code: VAL100
                message: Required field sellerId not found
                severity: error
                hint: Check the field `sellerId` — it must be a non-empty string.
    AccessForbidden:
      description: Access forbidden, invalid or unknown Token was used.
    RequestThrottled:
      description: User has send to many requests
    ServerError:
      description: Unexpected Server Error
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorResponseList'
          example:
            errorList:
              - code: GEN500
                message: Internal Server Error
                severity: error
                hint: null
  schemas:
    FileUploadResponse:
      description: >-
        Response for an uploaded file — references the temporary remote location
        and expiry timestamp.
      type: object
      required:
        - remoteFile
        - expiresAt
      properties:
        remoteFile:
          type: string
          example: a947e0c4-f88f-47bd-afe4-3a11e28c8f85.png
        expiresAt:
          type: string
          format: date-time
    ErrorResponseList:
      type: object
      properties:
        errorList:
          nullable: true
          type: array
          example:
            - code: GEN700
              message: Seller SELLER_4711 does not exist on channel kaufland.
              severity: error
              hint: i9n-order22
          items:
            title: Error
            type: object
            properties:
              code:
                type: string
                example: GEN700
              message:
                type: string
                example: Seller SELLER_4711 does not exist on channel kaufland.
              severity:
                type: string
                enum:
                  - error
                  - warning
                  - info
                default: error
              hint:
                type: string
                nullable: true
                example: i9n-order22
  securitySchemes:
    SellerAuth:
      description: >
        Bearer JWT issued to a seller after they sign up for a JTL-Scx
        subscription via the JTL

        Customer Center. Usage format: `Bearer <JWT>`.
      type: http
      scheme: bearer
      bearerFormat: JWT

````